<?php 
get_header(); 
if (have_posts()) : while (have_posts()) : the_post(); 
$data = get_post_meta( $post->ID, 'key', true );
$video = $data[ 'video' ];
?>
	
	<div  <?php post_class(); ?>>
			
		<h2 class="posttitle"><?php the_title(); ?></h2>
		
		<div class="metaStuff">
			<div class="categoryStuff metaItem"><?php the_category(', '); ?></div>
			<div class="dateStuff metaItem"><?php the_time('F j, Y'); ?></div>
			<div class="authorStuff metaItem"><?php the_author(); ?></div>
			<div class="commentStuff metaItem"><?php comments_popup_link('0 Comments', '1 Comment', '% Comments'); ?></div>
			<div class="tagStuff metaItem"><?php the_tags(''); ?></div>
		</div>
	
		<div class="entry">
				
		<?php the_content('<p class="serif">Read the rest of this entry &raquo;</p>'); ?>
                		
		<?php wp_link_pages(array('before' => '<p><strong>Pages:</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); ?>						
			
				
		<div class="clear"></div>
        </div><!--end entry-->
        
        <br />
                        
        <div id="commentsection">
		<?php comments_template(); ?>
        </div>

	</div><!--end post-->
	
	<?php if ($video) { echo "<div id='videoEmbed'>". $video . "</div>"; } ?>

	<?php 
		$args = array(/*'exclude' => get_post_thumbnail_id(),*/ 'post_type' => 'attachment', 'numberposts' => -1, 'orderby' => 'menu_order', 'order' => 'ASC', 'post_mime_type' => 'image' ,'post_status' => null, 'post_parent' => $post->ID );
		$attachments = get_posts($args);
		if ($attachments) { ?>
		<div id="postImgs">
			<?php foreach ( $attachments as $attachment ) { ?>
				
					<?php $image_attributes = wp_get_attachment_image_src($attachment->ID,'medium');?> 
       				
      				<a class="postImg" href="<?php echo wp_get_attachment_url( $attachment->ID , false ); ?>"><img width="<?php echo $image_attributes[1] ?>" height="<?php echo $image_attributes[2] ?>" src="<?php echo wp_get_attachment_url( $attachment->ID , false ); ?>" alt="<?php the_title(); ?>" width="280" border="0" /></a>
			<?php } ?>
		</div>
		<?php } ?>


<?php endwhile; endif; ?>
        		
<?php get_footer(); ?>