<?php get_header();?>

	<?php
		//OptionTree Stuff
		if ( function_exists( 'get_option_tree') ) {
			$theme_options = get_option('option_tree');
			$crumbs = get_option_tree('crumbs_on_off',$theme_options);
		}
		if ($crumbs && function_exists('dimox_breadcrumbs')) dimox_breadcrumbs();
	?>

	<div class="listing">
	<?php if (have_posts()) : while (have_posts()) : the_post(); ?>
	
		<div <?php post_class(); ?>>
		
		<div class="column firstColumn">
		
		<h2 class="posttitle"><a href="<?php the_permalink() ?>" rel="bookmark" title="Permanent Link to <?php the_title_attribute(); ?>"><?php the_title(); ?></a></h2>
		
		<div class="metaStuff">
			<div class="categoryStuff metaItem"><?php the_category(', '); ?></div>
			<div class="dateStuff metaItem"><?php the_time('F j, Y'); ?></div>
			<div class="authorStuff metaItem"><?php the_author(); ?></div>
			<div class="commentStuff metaItem"><?php comments_popup_link('0 Comments', '1 Comment', '% Comments'); ?></div>
			<div class="tagStuff metaItem"><?php the_tags(''); ?></div>
		</div>
		
		</div>
		
		<?php if (has_post_thumbnail()) { ?>
		<div class="column">
		<?php get_template_part("thumbnail"); ?>
		</div>
		
		<div class="column">
		<?php } else { ?>
		<div class="noImgColumn">			
		<?php } ?>
		
		<?php the_excerpt(); ?>
		<a class="readMore" href="<?php the_permalink() ?>">Read More &rarr;</a>
		</div>
		
        <div class="clear"></div>
		</div><!--end post-->

		<?php endwhile; ?>
		<?php endif; ?>
				
		</div><!--end listing-->

		<?php get_template_part("navigation"); ?>


<?php get_footer(); ?>