<?php 

get_header();

//OptionTree Stuff
if ( function_exists( 'get_option_tree') ) {
	$theme_options = get_option('option_tree');
	$homeCategory = get_option_tree('home_category',$theme_options); 
	$homeNumber = get_option_tree('home_number',$theme_options); 
	$showtitle = get_option_tree('showtitle',$theme_options); 
	$showsample = get_option_tree('showsample',$theme_options);
	$previewLink = get_option_tree('preview',$theme_options);
}
?>

<div id="listing">
	
	<?php
	$temp = $wp_query;
	$wp_query= null;
	$wp_query = new WP_Query();
	$wp_query->query('cat='. $homeCategory .'&showposts='. $homeNumber .'&paged='. $paged .'');
	while ($wp_query->have_posts()) : $wp_query->the_post(); 
	$data = get_post_meta( $post->ID, 'key', true );
	$video = $data[ 'video' ];
	?>
	
		<div <?php post_class(); ?>>
		
		<?php if (has_post_thumbnail()) { ?>			
			<a class="thumbLink" href="<?php if($previewLink == "Image") { $large_image_url = wp_get_attachment_image_src( get_post_thumbnail_id(), 'large'); echo $large_image_url[0]; } else { the_permalink(); } ?>" title="<?php the_title_attribute(); ?>">
				<?php the_post_thumbnail('grid'); ?>
			</a>
		<?php } elseif ($video) { echo $video; } ?>
		
		<?php if($showtitle){ ?>
		<h2 class="postLink"><a href="<?php the_permalink() ?>" rel="bookmark" title="Permanent Link to <?php the_title_attribute(); ?>"><?php the_title(); ?></a></h2>
		<?php } ?>
				
		<?php if($showsample){?>
			<?php the_excerpt();?>
			<a class="readMore" href="<?php the_permalink() ?>">Read More &rarr;</a>
		<?php } ?>
		
		</div><!--end post-->

		<?php endwhile; ?>
		
		<?php get_template_part("navigation"); ?>
				
		<?php $wp_query = null; $wp_query = $temp;?>
	
</div><!--end listing-->
		
<?php get_footer(); ?>
